Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Nvidia non emerge su vanilla-2.6.25-rc6 [RISOLTO]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
HoX
Guru
Guru


Joined: 11 Nov 2006
Posts: 385

PostPosted: Thu Mar 20, 2008 9:58 pm    Post subject: Nvidia non emerge su vanilla-2.6.25-rc6 [RISOLTO] Reply with quote

Sto provando a reinstallare i driver nvidia sul kernel vanilla 2.6.25-rc6, ma ottengo questo errore dall'emerge:
Quote:
*
* ERROR: x11-drivers/nvidia-drivers-169.12 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 3593: Called linux-mod_src_compile
* environment, line 2628: Called die
* The specific snippet of code:
* emake HOSTCC="$(tc-getBUILD_CC)" CC="$(get-KERNEL_CC)" LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS} || die "Unable to make ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}.";
* The die message:
* Unable to make IGNORE_CC_MISMATCH=yes V=1 SYSSRC=/usr/src/linux SYSOUT=/usr/src/linux HOST_CC=i686-pc-linux-gnu-gcc clean module.
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-169.12/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-169.12/temp/environment'.
*

Ho ricontrollato tutte le impostazioni del kernel e ho riguardato la guida nvidia... sembra tutto ok... quindi dov'è il problema?
_________________
"Always code as if the guy who ends up maintaining your code will be a violent psychopath who knows where you live." -- Damian Conway

Proudly member of the Torino Linux Task Force


Last edited by HoX on Fri Mar 21, 2008 10:05 pm; edited 1 time in total
Back to top
View user's profile Send private message
riverdragon
Veteran
Veteran


Joined: 14 Sep 2006
Posts: 1269
Location: Verona

PostPosted: Thu Mar 20, 2008 10:32 pm    Post subject: Reply with quote

A volte le nuove versioni del kernel rompono la compatibilità con i driver esterni, nvidia inclusi. Se stai provando con la versione più recente disponibile dei driver, mettiti il cuore in pace e aspetta che esca il kernel stabile (non credo che nvidia rilasci dei driver che potrebbero diventare incompatibili con una versione -rc successiva :wink: )
Back to top
View user's profile Send private message
HoX
Guru
Guru


Joined: 11 Nov 2006
Posts: 385

PostPosted: Fri Mar 21, 2008 10:04 pm    Post subject: Reply with quote

Ho risolto! Ho cercato su internet e qui ho trovato una patch per l'installer nvidia che risolve il problema. "Vi" ho anche creato uno script che fa tutto il lavoro per voi (scarica l'installer, scarica la patch, patcha l'installer, avvia l'installer). Per poter poi di nuovo usare la versione nel portage dovreste disinstallarlo con sh nomescript uninstall

ATTENZIONE! Lo script funziona solo con kernel 2.6.25 x86 con driver Nvidia 169.12

Code:
#!/bin/sh

CUSTOM_NVIDIA_INSTALLER="NVIDIA-Linux-x86-169.12-pkg1-custom.run"

NVIDIA_INSTALLER="NVIDIA-Linux-x86-169.12-pkg1.run"
NVIDIA_INSTALLER_URI="http://us.download.nvidia.com/XFree86/Linux-x86/169.12/${NVIDIA_INSTALLER}"
NVIDIA_PATCH="NVIDIA_kernel-169.12-2286310.diff"
NVIDIA_PATCH_URI="http://www.nvnews.net/vbulletin/attachment.php?s=b9e12412f2750e3b79da1e4ae8e0b412&attachmentid=30771&d=1205875946"

#### Some check ####

echo -n "Checking kernel version... "
if [ "`uname -s`" != "Linux" ]
then
   echo "failure!"
   echo "You must use Linux kernel!" >> /dev/stderr
   exit 1
fi

if [ "`uname -r | cut -d'-' -f1`" != "2.6.25" ]
then
   echo "failure!"
   echo "You must use the kernel version 2.6.25" >> /dev/stderr
   exit 1
fi
echo "done!"

#### Checks end ####


#### Last try from portage ####
echo -n "I try to install the official package from portage (CTRL+C to abort)... "
emerge -1 =x11-drivers/nvidia-drivers-169.12 &> /dev/null \
   && echo "this package work!" && exit 0 \
   || echo "as espected... error!"
#### End ####

#### Download ####
echo -n "Downloading original installer from Nvidia... "
wget -c ${NVIDIA_INSTALLER_URI} &> /dev/null
if [ $? ]
then
   echo "done!"
else
   echo "error!"
   echo "Unable to download the Nvidia installer (${NVIDIA_INSTALLER})!" >> /dev/stderr
   exit 1
fi

####


if [ "$1" == "uninstall" ]
then
######### UNINSTALL #########
   echo -n "Uninstalling nvidia drivers..."
   sh ${NVIDIA_INSTALLER} --uninstall \
      && echo "done!" \
      || { echo "failure!" >> /dev/stderr && exit 1 ; }

   echo -n "Unmasking package... "
   if [ -d /usr/portage/package.mask ]
   then
      rm /usr/portage/package.mask/nvidia-patched
   else
      mv /usr/portage/package.mask /etc/portage/package.mask.bck
      grep -v "x11-drivers/nvidia-drivers" /etc/portage/package.mask.bck >> /usr/portage/package.mask
   fi
   echo "done!"
   rm ${NVIDIA_INSTALLER}
   echo "Uninstalled successfully"
   exit 0
###### END UNINSTALL ########
fi

echo -n "Downloading the UNOFFICIAL patch for the Nvidia driver..."
wget -c ${NVIDIA_PATCH_URI} -O ${NVIDIA_PATCH} &> /dev/null
if [ $? ]
then
   echo "done!"
else
   echo "error!"
   echo "Unable to download the patch (${NVIDIA_PATCH})!" >> /dev/stderr
   exit 1
fi

echo -n "Applying patch... "

sh ${NVIDIA_INSTALLER} \
--apply-patch ${NVIDIA_PATCH} \
   && echo "done!" \
   || { echo "failure!" && echo "Error in patch!" >> /dev/stderr && exit 1 ; }

echo -n "Installation start... "
sh ${CUSTOM_NVIDIA_INSTALLER} \
   && echo "done!" \
   || { echo "failure!" && exit 1 ; }


echo -n "Blocking other installation... "

[ -d /etc/portage/package.mask ] \
   && echo "x11-drivers/nvidia-drivers" >> /etc/portage/package.mask/nvidia-patched \
   || echo "x11-drivers/nvidia-drivers" >> /etc/portage/package.mask

echo "done!"

rm ${NVIDIA_INSTALLER} ${NVIDIA_PATCH} ${CUSTOM_NVIDIA_INSTALLER}

echo "Installation done successfully!"

_________________
"Always code as if the guy who ends up maintaining your code will be a violent psychopath who knows where you live." -- Damian Conway

Proudly member of the Torino Linux Task Force
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Fri Mar 21, 2008 10:49 pm    Post subject: Reply with quote

non bastava inserire la patch nell'ebuild rispetto a crearsi uno script di installazione/deinstallazione che smerda tutto il sistema?
Back to top
View user's profile Send private message
HoX
Guru
Guru


Joined: 11 Nov 2006
Posts: 385

PostPosted: Sat Mar 22, 2008 12:28 am    Post subject: Reply with quote

Ic3M4n wrote:
non bastava inserire la patch nell'ebuild rispetto a crearsi uno script di installazione/deinstallazione che smerda tutto il sistema?

Confesso di non saper fare le ebuild :oops:
Ho provato a guardare l'ebuild originale, ma senza capirla... sorry!
_________________
"Always code as if the guy who ends up maintaining your code will be a violent psychopath who knows where you live." -- Damian Conway

Proudly member of the Torino Linux Task Force
Back to top
View user's profile Send private message
HoX
Guru
Guru


Joined: 11 Nov 2006
Posts: 385

PostPosted: Sat Mar 22, 2008 9:56 am    Post subject: Reply with quote

ATTENZIONE
Ho scoperto che il driver ha dei problemi (come c'era da aspettarsi). Giocando a Teewars il personaggio non si muove (cosa che non accade su kernel 2.6.23.17 con driver ufficiali non patchati).
_________________
"Always code as if the guy who ends up maintaining your code will be a violent psychopath who knows where you live." -- Damian Conway

Proudly member of the Torino Linux Task Force
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum